Create source
Create a source with a name, announcement and encryption settings, and return its subscription URL.
/api/appstore/manage/sources요청 매개변수
모든 매개변수는 쿼리 또는 본문을 통해 전달할 수 있습니다
| 매개변수 | 유형 | 필수 | 설명 |
|---|---|---|---|
name | string | 필수 | Source name, up to 100 characters 예제: 我的软件源 |
message | string | 선택 사항 | Source announcement 예제: 欢迎使用 |
identifier | string | 선택 사항 | Source identifier, up to 100 characters |
source_icon | string | 선택 사항 | HTTP(S) URL of the source icon |
pay_url | string | 선택 사항 | HTTP(S) URL of the payment page |
encrypt_enabled | integer | 선택 사항 | Response encryption: 0=off, 1=on (default on when created) 예제: 1 |
force_encrypt | integer | 선택 사항 | Force encryption: 0=off (default), 1=always encrypt regardless of UA/UDID or encrypt_enabled; never fall back to plaintext 예제: 0 |
open_black | integer | 선택 사항 | Auto-block devices used to add apps: 0/1 예제: 0 |
open_black2 | integer | 선택 사항 | Auto-block cracking attempts: 0/1 예제: 0 |
health_alert | object | 선택 사항 | Complete link-health alert configuration as a JSON object |
응답
| 매개변수 | 유형 | 필수 | 설명 |
|---|---|---|---|
code | integer | 필수 | 1 indicates success; otherwise a token, validation or source error code 예제: 1 |
msg | string | 필수 | Localized result message 예제: 获取成功 |
time | integer | 필수 | Unix timestamp in seconds |
data | object | 필수 | Allowlisted fields visible to the source owner |
오류 코드
101140001응답 언어
X-Lang 헤더와 API 응답 언어를 사용자 지정합니다. 아래 코드 예제는 현재 사이트 언어를 자동으로 사용합니다.
X-Lang: kozh, en, zh-TW, vi, ar, es, ru수락 언어는 또한 지원됩니다; X-Lang는 우선권을 가지고 갑니다. 지원되지 않은 언어는 사이트 언어 fallback를 따릅니다.
코드 예제
curl -X POST "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources" \
-H "X-Lang: ko" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "我的软件源",
"message": "欢迎使用",
"identifier": "example_identifier",
"source_icon": "example_source_icon",
"pay_url": "example_pay_url",
"encrypt_enabled": 1,
"force_encrypt": 0,
"open_black": 0,
"open_black2": 0,
"health_alert": "example_health_alert"
}'참고 사항
- Only sources owned by the API token user on the current site can be managed.
- Use HTTPS. Administrator-only fields such as uid, tenant_id, is_official and expiry time are rejected.
- Responses omit owner identities, draft internals and secrets; creating sources/apps is subject to subscription, trial and quota limits.
콘솔에서 시도하십시오
아래 매개변수를 입력하고 테스트 요청을 보내세요. 요청은 이 사이트의 API에만 전송되며, URL은 잠겨 있어 변경할 수 없고 현재 로그인 쿠키가 포함됩니다.
https://testypro.iwai.cc/api/appstore/manage/sources이 사이트에 잠김Source name, up to 100 characters
Source announcement
Source identifier, up to 100 characters
HTTP(S) URL of the source icon
HTTP(S) URL of the payment page
Response encryption: 0=off, 1=on (default on when created)
Force encryption: 0=off (default), 1=always encrypt regardless of UA/UDID or encrypt_enabled; never fall back to plaintext
Auto-block devices used to add apps: 0/1
Auto-block cracking attempts: 0/1
Complete link-health alert configuration as a JSON object